import java.util.Scanner;

public class Vector
{
  private double x = 0.0;
  private double y =0.0;
  
  public static void main(String args[])
  {
    System.out.println("Operaciones con vectores en el plano");
    Scanner teclado = new Scanner(System.in);
    
    
    while (leer());
    {
      System.out.print("V1: ");//REVISAAAAAAAAAR TODO ESTO DE SOP JUNTO CON EL DE LEER
      imprimirPropiedades();
      for (int contador = 2; ; ++contador)
      {
        System.out.println("V" + contador + ": ");
        System.out.println("V" + (contador - 1) + "+" + "V" + contador + ": ");
        System.out.println("V" + (contador - 1) + "-" + "V" + contador + ": ");
        System.out.println("V" + contador + "-" + "V" + (contador - 1) + ": ");
      }
    }
  }
  
  public static boolean leer()//revisar el sop
  {
    for ( int i = 1; ; ++i )
    {
      System.out.println("V" + i + ": (x,y) = (" + x + ", " + y + "); " + "(r, a) = (" + calcularMagnitud + ", " + calcularAngulo + ")");
      System.out.println();
      System.out.println("Vector " + i);
      System.out.print("x = ");
      x = teclado.nextDouble();
      System.out.print("y = ");
      y = teclado.nextDouble();
      
      if (x == 0 && y == 0)
        break;
    }
  }
  
  public static void imprimirPropiedades()
  {
    imprimirPolares();//hacer toString() en lugar de todo esto;
    imprimirSuma();
    imprimirResta();
    imprimirRestaInversa();
  }
  
  public static void calcularPolares()
  {
    calcularMagnitud();
    calcularAngulo();
  }
  
  public static double calcularMagnitud()
  {
    return Math.squart((x*x) + (y*y));
  }
  
  public static double calcularAngulo()
  {
    return Math.atan2((y/x));
  }
  
  public static double calcularSuma(Vector otro)
  {
    return x + otro.x;
    return y + otro.y;
  }
  
  public static double calcularResta(Vector otro)
  {
    return x - otro.x;
    return y - otro.y;
  }
  
  public static double calcularRestaInversa(Vector otro)
  {
    return otro.x - x;
    return otro.y - y;
  }
    
}
public String toString()
  {
    return "y = " + m + "x + " + b;
  }

